Skip to main content
GET
List member order payments

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Identifies the loyalty program (lprg_ followed by hexadecimal characters).

Pattern: ^lprg_[a-f0-9]+$
memberId
string
required

Identifies the program member (lmbr_[a-f0-9]+).

Pattern: ^lmbr_[a-f0-9]+$

Query Parameters

limit
integer | null
default:10

Maximum number of items to return. An integer between 1 and 100; numeric strings are also accepted. Defaults to 10.

Required range: 1 <= x <= 100
order

Orders results by transaction id. -id is newest first and the default. id is oldest first. An array that orders by id and -id together is rejected.

Available options:
-id,
id
cursor
string | null

Pagination cursor returned in the cursor.next field of a previous response (format: lcrsotx_ followed by hexadecimal characters).

Pattern: ^lcrsotx_[a-f0-9]+$
filters
Loyalties Programs Members Orders Payments List Request Query · object | null

Filters results by field, e.g. filters[id][conditions][$is]=lotx_.... Each field accepts a conditions object with condition operators. Request query schema for GET /v2/loyalties/programs/{programId}/members/{memberId}/orders/payments.

Response

Returns a paginated list of persisted order payment transactions.

Response body schema for GET /v2/loyalties/programs/{programId}/members/{memberId}/orders/payments.

data
object[]

Order payment transactions.

cursor
object | null

Pagination cursor. null when there are no more results.

object
string

Object type marker. Always list.

Allowed value: "list"
Last modified on October 9, 2026